<?php if( !$this->session->has('richitem-community') ): ?>
<aside class="alert alert-info">
<span class="label label-danger">功能</span> 必須先決定是否指定社區大樓，一旦指定且完成物件建檔則無法更換社區大樓！<br>
</aside>
<br>

<form id="basicForm" class="form-inline" method="post">
    <label for="richitemNo" class="control-label">載入社區大樓</label>
    <select id="communityId" name="communityId" class="form-control multiselect-filter">
    <?php $c = \Houserich\Models\Community::find();
    foreach ($c as $val): ?>
        <option value="<?=$val->communityId;?>"><?="[{$val->company}]{$val->name}";?></option>
    <?php endforeach ?>
    </select>

    <button type="submit" class="btn btn-primary" name="do" value="yes">載入資料</button>
    <button type="submit" class="btn btn-warning" name="do" value="no">不指定社區，直接建檔</button>
</form>
<?php else: ?>

    <?php if( !$this->session->has('create-richitemId') or !$this->session->has('edit-richitemId') ): ?>
<aside class="alert alert-info">
<span class="label label-danger">功能</span> 以下欄位必須先完成後才能繼續建立其他物件欄位。<br>
</aside>
<br>
    <?php endif; ?>

<form id="basicForm" class="form-horizontal form-validation" action="<?=$this->url->get("houserich/richitem/save/step1");?>" method="post">
<?=$form->render('richitemId'); ?>
<section class="form-group" style="padding-left: 0px;padding-right: 0px;">
    <label for="richitemNo" class="control-label col-sm-2">案件編號</label>
    <div class="control-label col-sm-2">
        <?=$form->renderRichitemno(); ?>
    </div>
    <label for="title" class="control-label col-sm-2">物件標題</label>
    <div class="col-sm-6">
        <?=$form->render("title"); ?>
    </div>
</section>

<hr class="inner-separator">
<!-- 用途、型態切換 -->
<div class="form-inline">
    <section class="form-group" style="margin-left: 0px; margin-right: 0px;">
    <?=$form->render('usefor'); ?>
    </section>
    <section class="form-group" style="margin-left: 10px; margin-right: 0px;">
        <?=$form->render('type'); ?>
    </section>
</div>

<!-- 來自社區大樓對應欄位內容 -->
<hr class="inner-separator">
<section class="form-group">
<?=$form->renderGroups(["CommunityName", "company"],
                        "\\House\\Forms\\Decorators\\GridElement");?>
</section>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('meterials'); ?>
</section>
</div>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('completion');?>
<?=$form->render('houseAgeYear');?>
<?=$form->render('houseAgeMonth');?>
<?=$form->render('floorAbove');?>
<?=$form->render('floorBelow');?>
<?=$form->render('roadWidth');?>
</section>
</div>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('publicFacility'); ?>
</section>
</div>

<!-- 地址組合與分解 -->
<hr class="inner-separator">
<div class="form-inline">
<section class="form-group">
    <?=$form->renderGroups(["addressCity",
                            "addressDistrict",
                            "addressRoad",
                            "addressLane",
                            "addressAlley",
                            "addressNo",
                            "addressNoEx",
                            "addressFloor",
                            "addressFloorEx"],
                            "\\House\\Forms\\Decorators\\Addresses");?>
</section>
</div>

<hr class="inner-separator">
<div class="form-inline">
<section class="form-group" style="margin-left: 0px;">
<?=$form->render('numElevators');?>
<?=$form->render('onefloor');?>
<?=$form->render('saleFloor');?>
<?=$form->render('saleHouseholdNum');?>
<?=$form->render('saleFloorHigh');?>
</section>
</div>

<!-- 委託人身分證字號、委託人生日欄位檢查 -->
<hr class="inner-separator">
<section class="form-group">
<?=$form->renderGroups(["clientName", "clientPhone", "clientID", "clientBirthday"],
                       "\\House\\Forms\\Decorators\\GridElement");?>
</section>


<hr class="inner-separator">
<section class="form-group" style="margin-left: 0px; margin-right: 0px;">
    <?=$form->render('useforStatutory'); ?>
</section>

<hr class="inner-separator">
<section class="form-group" style="margin-left: 0px;margin-right: 0px;">
    <?=$form->render('description'); ?>
</section>
</form>
<?php endif; ?>